2019-10-21 17:56 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0001133FSSCPgameplaypublic2012-01-09 13:06
ReporterARSPR 
Assigned Totaylor 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformP4 2.8 HT - 1.5GB - 7800GSOSWindows XPOS VersionSP2
Product Version3.6.9 
Target VersionFixed in Version3.6.9 
Summary0001133: Epsilon and Delta wings stay still (CH2-13.fs2 from ItDoH2)
DescriptionIn mission CH2-13.fs2 from Into the Depths of Hell 2, Epsilon and Delta wings have the initial order to Attack SJ Sathanas but they stay still. The initial order is given through Wing Editor (priority 89), not through Ships Editor to each ship. Target window also shows that their current order is Attack SJ Sathanas.

Even if you order them to attack the Sathanas they stay still.

TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0001141resolvedtaylor Fighters stay still when exiting from fighterbays 
has duplicate 0001162resolvedtaylor Proving Grounds sticks after the shivans attack 
+Relationships

-Notes

~0007062

ARSPR (reporter)

Last edited: 2006-11-02 23:29

RC7 doesn't suffer this bug. Now I will test RC7.8.

TL has posted in HLP an issue (http://www.hard-light.net/forums/index.php/topic,41891.msg881834.html#msg881834) that seems to be the same one.

In FS2 Main Campaign, "Proving Grounds" (SM2-03.fs2) mission, when Delta wing get the departure order they stay still, they do not return to the GTD Aquitaine.


EDITED ---------

Both missions work fine with RC7.8.

Another interesting thing. In CH2-13.fs2 ALL initial fighters, but Alpha wing, are sitting ducks.


REEDITED ----------

I've just notice that all these fighters arrive/depart from a docking point.

~0007078

taylor (administrator)

Fixed. I'll resolve when it hits CVS.

It was the modelanim code updates which broke it btw. If the figherbay had an animation then the ships would have launched just fine.

~0007084

taylor (administrator)

Fixered.

~0007093

ARSPR (reporter)

Ooops. A partial fix only (with your latest RC7.9)

It seems that ships do not stay still if they arrive from a docking point but they stay still if they have to depart to one.

Check "Proving Grounds" (SM2-03.fs2).

~0007094

taylor (administrator)

Hmm, the fix should have applied to both emerge and departs cases. I don't see any obvious reason why it's still not working, but I'll give it a more detailed look tonight. It's probably a safety check that doesn't set a pos status that messing it up (only thing that I can think of).

~0007117

taylor (administrator)

Hehe, the fix did apply to both emerge and depart cases, but there was an extra bug in the depart case which made it check the animation status against the wrong ship. Oh well, easy fix. :)

I'll resolve this again once I get the fix in CVS.

~0007119

taylor (administrator)

Fixered... for real this time... I hope. ;)
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2006-11-01 03:37 ARSPR New Issue
2006-11-02 14:31 ARSPR Note Added: 0007062
2006-11-02 14:51 ARSPR Note Edited: 0007062
2006-11-02 14:54 ARSPR Note Edited: 0007062
2006-11-02 23:28 ARSPR Note Edited: 0007062
2006-11-02 23:29 ARSPR Note Edited: 0007062
2006-11-05 11:55 taylor Status new => assigned
2006-11-05 11:55 taylor Assigned To => taylor
2006-11-05 19:48 taylor Relationship added has duplicate 0001141
2006-11-05 20:21 taylor Note Added: 0007078
2006-11-06 01:48 taylor Status assigned => resolved
2006-11-06 01:48 taylor Fixed in Version => 3.6.9
2006-11-06 01:48 taylor Resolution open => fixed
2006-11-06 01:48 taylor Note Added: 0007084
2006-11-06 13:24 ARSPR Status resolved => feedback
2006-11-06 13:24 ARSPR Resolution fixed => reopened
2006-11-06 13:24 ARSPR Note Added: 0007093
2006-11-06 14:12 taylor Note Added: 0007094
2006-11-14 16:49 taylor Note Added: 0007117
2006-11-14 19:51 taylor Status feedback => resolved
2006-11-14 19:51 taylor Resolution reopened => fixed
2006-11-14 19:51 taylor Note Added: 0007119
2006-11-29 02:29 taylor Relationship added has duplicate 0001162
2012-01-05 17:55 taylor Changeset attached => Import 2012-01-05 17:52:05 fs2_open_3_6_9 r3689
2012-01-05 17:55 taylor Changeset attached => Import 2012-01-05 17:52:05 trunk r3718
2012-01-05 17:55 taylor Changeset attached => Import 2012-01-05 17:52:05 fs2_open_3_6_9 r3734
2012-01-05 17:55 taylor Changeset attached => Import 2012-01-05 17:52:05 trunk r3748
2012-01-09 13:06 taylor Changeset attached => fs2open_websvn fs2_open_3_6_9 r3689
2012-01-09 13:06 taylor Changeset attached => fs2open_websvn trunk r3718
2012-01-09 13:06 taylor Changeset attached => fs2open_websvn fs2_open_3_6_9 r3734
2012-01-09 13:06 taylor Changeset attached => fs2open_websvn trunk r3748
+Issue History